@import "normalize.css";
@import "sakura-vader.css";

#jsguard {
    display: none;
}

body {
    display: flex;
	align-items: center;
	flex-direction: column;
	min-height: 100vh;

    padding: 3rem;
	box-sizing: border-box;
    max-width: 80rem;
}

a {
    text-wrap: nowrap;
}

hr {
    width: 100%;
}

h1 {
    margin-bottom: 4rem;
}

form {
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin-bottom: 1.5rem;
    min-width: 35rem;
    width: 100%;

    input {
        flex-grow: 1;
    }

    input[type=checkbox] {
        flex-grow: 0;
        margin-bottom: 0.5rem;
    }

    div {
        display: flex;
        flex-direction: row;
        align-items: center;
        gap: 1rem;
    }
}

select {
    overflow: auto;
    flex-grow: 1;
}

img {
    margin-bottom: 0;
}

.help-icon {
    width: 2rem;
    height: 2rem;
    filter: invert();
    margin-left: 0.5rem;
}

input[type=reset] {
    max-width: 25rem;
    align-self: center;
}


dialog {
    background-color: #120c0e;
    color: #d9d8dc;
    border-color: #eb99a1;

    form {
        display: flex;
        flex-direction: column;
        align-items: center;
    }
}